import json

from aiohttp_swagger import setup_swagger


def swagger_setup(app, title, definitions, **kwargs):
    setup_swagger(app, description=f"{title} Definition", title=title, **kwargs)

    # update swagger json with definitions
    content = json.loads(app["SWAGGER_DEF_CONTENT"])
    content["definitions"] = definitions

    app["SWAGGER_DEF_CONTENT"] = json.dumps(content)


def build_definitions(models_module):
    definitions = {}
    for name in list(models_module.__dict__.keys()):
        cls = getattr(models_module, name)
        if isinstance(cls, type) and hasattr(cls, "swagger_definition"):
            definitions[name] = cls.swagger_definition()

    return definitions
