# pragma: no cover

import os

try:
    import uvloop

    uvloop_found = True
except ImportError:
    uvloop_found = False


listen_port = os.environ.get("BIND_PORT", "5004")

bind = [f"[::]:{listen_port}"]

worker_class = (
    "aiohttp.GunicornUVLoopWebWorker" if uvloop_found else "aiohttp.GunicornWebWorker"
)
workers = int(os.environ.get("GUNICORN_NUM_WORKERS", 1))

accesslog = "-"  # access log to stdout

timeout = 600

# def on_starting(_server):
#    config = Config()
#    db_upgrade(config)
